Gecode::Gist::StopBrancher Class Reference

Brancher that stops exploration in Gist More...

`#include <stopbrancher.hh>`

## Public Member Functions

virtual bool | status (const Space &) const
| Check status of brancher, return true if alternatives left.
virtual Choice * | choice (Space &)
| Return choice.
virtual Choice * | choice (const Space &home, Archive &)
| Return choice.
virtual ExecStatus | commit (Space &, const Choice &, unsigned int)
| Perform commit for choice _c and alternative a.
virtual void | print (const Space &home, const Gecode::Choice &c, unsigned int, std::ostream &o) const
| Print explanation.
virtual Actor * | copy (Space &home)
| Copy brancher.
virtual size_t | dispose (Space &)
| Delete brancher and return its size.
virtual NGL * | ngl (Space &home, const Choice &c, unsigned int a) const
| Create no-good literal for choice c and alternative a.
unsigned int | id (void) const
| Return brancher id.
BrancherGroup | group (void) const
| Return group brancher belongs to.
void | group (BrancherGroup g)
| Add brancher to group g.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static void | post (Home home)
| Post brancher.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| StopBrancher (Home home)
| Construct brancher.
| StopBrancher (Space &home, StopBrancher &b)
| Copy constructor.
Protected Member Functions inherited from Gecode::Brancher
| Brancher (Home home)
| Constructor for creation.
| Brancher (Space &home, Brancher &b)
| Constructor for cloning b.

## Protected Attributes

bool | done
| Flag whether brancher has been executed.

## Detailed Description

Brancher that stops exploration in Gist

Definition at line 49 of file stopbrancher.hh.

## Constructor & Destructor Documentation

## StopBrancher() [1/2]

Gecode::Gist::StopBrancher::StopBrancher | ( | Home | home | ) |

protected

Construct brancher.

Definition at line 44 of file stopbrancher.cpp.

## StopBrancher() [2/2]

Gecode::Gist::StopBrancher::StopBrancher | ( | Space & | home,
|  | StopBrancher & | b )

protected

Copy constructor.

Definition at line 46 of file stopbrancher.cpp.

## Member Function Documentation

## status()

bool Gecode::Gist::StopBrancher::status | ( | const Space & |  | ) | const

virtual

Check status of brancher, return true if alternatives left.

Implements Gecode::Brancher.

Definition at line 50 of file stopbrancher.cpp.

## choice() [1/2]

Choice * Gecode::Gist::StopBrancher::choice | ( | Space & |  | ) |

virtual

Return choice.

Implements Gecode::Brancher.

Definition at line 55 of file stopbrancher.cpp.

## choice() [2/2]

Choice * Gecode::Gist::StopBrancher::choice | ( | const Space & | home,
|  | Archive & | )

virtual

Return choice.

Implements Gecode::Brancher.

Definition at line 59 of file stopbrancher.cpp.

## commit()

ExecStatus Gecode::Gist::StopBrancher::commit | ( | Space & | ,
|  | const Choice & | ,
|  | unsigned int | )

virtual

Perform commit for choice _c and alternative a.

Implements Gecode::Brancher.

Definition at line 63 of file stopbrancher.cpp.

## print()

void Gecode::Gist::StopBrancher::print | ( | const Space & | home,
|  | const Gecode::Choice & | c,
|  | unsigned int | ,
|  | std::ostream & | o ) const

virtual

Print explanation.

Reimplemented from Gecode::Brancher.

Definition at line 69 of file stopbrancher.cpp.

## copy()

Actor * Gecode::Gist::StopBrancher::copy | ( | Space & | home | ) |

virtual

Copy brancher.

Implements Gecode::Actor.

Definition at line 74 of file stopbrancher.cpp.

## post()

void Gecode::Gist::StopBrancher::post | ( | Home | home | ) |

static

Post brancher.

Definition at line 78 of file stopbrancher.cpp.

## dispose()

size_t Gecode::Gist::StopBrancher::dispose | ( | Space & |  | ) |

virtual

Delete brancher and return its size.

Reimplemented from Gecode::Actor.

Definition at line 82 of file stopbrancher.cpp.

## Member Data Documentation

## done

bool Gecode::Gist::StopBrancher::done

protected

Flag whether brancher has been executed.

Definition at line 52 of file stopbrancher.hh.

The documentation for this class was generated from the following files:

- gecode/gist/stopbrancher.hh
- gecode/gist/stopbrancher.cpp